/*
 * Copyright 2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v15.0
processor: MIMXRT1189xxxxx
package_id: MIMXRT1189CVM8B
mcu_data: ksdk2_0
processor_version: 0.15.9
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

#include "fsl_common.h"
#include "fsl_iomuxc.h"
#include "fsl_rgpio.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 * 
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 * 
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void) {
    BOARD_InitPins();
    LPSPI3_InitPins();
}

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: A5, peripheral: LPUART1, signal: RXD, pin_signal: GPIO_AON_09, slew_rate: Slow}
  - {pin_num: B1, peripheral: LPUART1, signal: TXD, pin_signal: GPIO_AON_08, slew_rate: Slow}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins, assigned for the Cortex-M33 core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc2);          /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 is configured as LPUART1_TX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 is configured as LPUART1_RX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled */
}


/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
LPSPI3_InitPins:
- options: {createDeInit: 'true', callFromInitBoot: 'true', coreID: cm33, enableClock: 'true', customDeInitName: LPSPI3_DeinitPins}
- pin_list:
  - {pin_num: B16, peripheral: LPSPI3, signal: PCS0, pin_signal: GPIO_SD_B1_00, pull_down_pull_up_config: Pull_Down}
  - {pin_num: D15, peripheral: LPSPI3, signal: SCK, pin_signal: GPIO_SD_B1_01, pull_down_pull_up_config: Pull_Down}
  - {pin_num: D14, peripheral: LPSPI3, signal: SOUT, pin_signal: GPIO_SD_B1_02, pull_down_pull_up_config: Pull_Up}
  - {pin_num: C15, peripheral: LPSPI3, signal: SIN, pin_signal: GPIO_SD_B1_03, pull_down_pull_up_config: Pull_Up}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI3_InitPins, assigned for the Cortex-M33 core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void LPSPI3_InitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_00_LPSPI3_PCS0,       /* GPIO_SD_B1_00 is configured as LPSPI3_PCS0 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_01_LPSPI3_SCK,        /* GPIO_SD_B1_01 is configured as LPSPI3_SCK */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_02_LPSPI3_SDO,        /* GPIO_SD_B1_02 is configured as LPSPI3_SDO */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_03_LPSPI3_SDI,        /* GPIO_SD_B1_03 is configured as LPSPI3_SDI */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_00_LPSPI3_PCS0,       /* GPIO_SD_B1_00 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_01_LPSPI3_SCK,        /* GPIO_SD_B1_01 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_02_LPSPI3_SDO,        /* GPIO_SD_B1_02 PAD functional properties : */
      0x04U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PU
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_03_LPSPI3_SDI,        /* GPIO_SD_B1_03 PAD functional properties : */
      0x04U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PU
                                                 Open Drain Field: Disabled */
}



/* FUNCTION ************************************************************************************************************
 *
 * Function Name : LPSPI3_DeinitPins, assigned for the Cortex-M33 core.
 * Description   : This is a de-initialization function for 'LPSPI3_InitPins' function.
 * It sets all pins features (routing, direction and electrical) to their after-reset state.
 * It also tries to route the previous peripheral signals to their default pins.
 *
 * END ****************************************************************************************************************/
void LPSPI3_DeinitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */

  /* GPIO configuration on GPIO_SD_B1_00 (pin B16) */
  rgpio_pin_config_t gpio5_pinB16_config = {
      .pinDirection = kRGPIO_DigitalInput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_SD_B1_00 (pin B16) */
  RGPIO_PinInit(RGPIO5, 4U, &gpio5_pinB16_config);
  /* Configures GPIO pin interrupt/DMA request on GPIO_SD_B1_00 (pin B16) */
  RGPIO_SetPinInterruptConfig(RGPIO5, 4U, kRGPIO_InterruptOutput0, kRGPIO_InterruptOrDMADisabled);

  /* GPIO configuration on GPIO_SD_B1_01 (pin D15) */
  rgpio_pin_config_t gpio5_pinD15_config = {
      .pinDirection = kRGPIO_DigitalInput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_SD_B1_01 (pin D15) */
  RGPIO_PinInit(RGPIO5, 5U, &gpio5_pinD15_config);
  /* Configures GPIO pin interrupt/DMA request on GPIO_SD_B1_01 (pin D15) */
  RGPIO_SetPinInterruptConfig(RGPIO5, 5U, kRGPIO_InterruptOutput0, kRGPIO_InterruptOrDMADisabled);

  /* GPIO configuration on GPIO_SD_B1_02 (pin D14) */
  rgpio_pin_config_t gpio5_pinD14_config = {
      .pinDirection = kRGPIO_DigitalInput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_SD_B1_02 (pin D14) */
  RGPIO_PinInit(RGPIO5, 6U, &gpio5_pinD14_config);
  /* Configures GPIO pin interrupt/DMA request on GPIO_SD_B1_02 (pin D14) */
  RGPIO_SetPinInterruptConfig(RGPIO5, 6U, kRGPIO_InterruptOutput0, kRGPIO_InterruptOrDMADisabled);

  /* GPIO configuration on GPIO_SD_B1_03 (pin C15) */
  rgpio_pin_config_t gpio5_pinC15_config = {
      .pinDirection = kRGPIO_DigitalInput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_SD_B1_03 (pin C15) */
  RGPIO_PinInit(RGPIO5, 7U, &gpio5_pinC15_config);
  /* Configures GPIO pin interrupt/DMA request on GPIO_SD_B1_03 (pin C15) */
  RGPIO_SetPinInterruptConfig(RGPIO5, 7U, kRGPIO_InterruptOutput0, kRGPIO_InterruptOrDMADisabled);

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_00_GPIO5_IO04,        /* GPIO_SD_B1_00 is configured as GPIO5_IO04 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_01_GPIO5_IO05,        /* GPIO_SD_B1_01 is configured as GPIO5_IO05 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_02_GPIO5_IO06,        /* GPIO_SD_B1_02 is configured as GPIO5_IO06 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_03_GPIO5_IO07,        /* GPIO_SD_B1_03 is configured as GPIO5_IO07 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_00_GPIO5_IO04,        /* GPIO_SD_B1_00 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_01_GPIO5_IO05,        /* GPIO_SD_B1_01 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_02_GPIO5_IO06,        /* GPIO_SD_B1_02 PAD functional properties : */
      0x04U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PU
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_03_GPIO5_IO07,        /* GPIO_SD_B1_03 PAD functional properties : */
      0x04U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PU
                                                 Open Drain Field: Disabled */
}

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
