/*
 * Copyright 2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v14.0
processor: MIMXRT1189xxxxx
package_id: MIMXRT1189CVM8B
mcu_data: ksdk2_0
processor_version: 0.14.12
board: MIMXRT1180-EVK
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

#include "fsl_common.h"
#include "fsl_iomuxc.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 * 
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 * 
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void) {
    BOARD_InitPins();
}

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: J1, peripheral: FLEXSPI2, signal: FLEXSPI_B_DATA1, pin_signal: GPIO_EMC_B1_32, software_input_on: Enable}
  - {pin_num: K1, peripheral: FLEXSPI2, signal: FLEXSPI_B_DATA0, pin_signal: GPIO_EMC_B1_33, software_input_on: Enable}
  - {pin_num: L1, peripheral: FLEXSPI2, signal: FLEXSPI_A_DATA0, pin_signal: GPIO_EMC_B1_35, software_input_on: Enable}
  - {pin_num: M1, peripheral: FLEXSPI2, signal: FLEXSPI_A_DATA1, pin_signal: GPIO_EMC_B1_36, software_input_on: Enable}
  - {pin_num: N1, peripheral: FLEXSPI2, signal: FLEXSPI_A_DATA2, pin_signal: GPIO_EMC_B1_37, software_input_on: Enable}
  - {pin_num: P1, peripheral: FLEXSPI2, signal: FLEXSPI_A_SS0_B, pin_signal: GPIO_EMC_B1_39, software_input_on: Enable}
  - {pin_num: H2, peripheral: FLEXSPI2, signal: FLEXSPI_B_DATA3, pin_signal: GPIO_EMC_B1_30, software_input_on: Enable}
  - {pin_num: J2, peripheral: FLEXSPI2, signal: FLEXSPI_B_DATA2, pin_signal: GPIO_EMC_B1_31, software_input_on: Enable}
  - {pin_num: N2, peripheral: FLEXSPI2, signal: FLEXSPI_A_DQS, pin_signal: GPIO_EMC_B1_40, software_input_on: Enable}
  - {pin_num: M2, peripheral: FLEXSPI2, signal: FLEXSPI_A_DATA3, pin_signal: GPIO_EMC_B1_38, software_input_on: Enable}
  - {pin_num: L2, peripheral: FLEXSPI2, signal: FLEXSPI_B_SCLK, pin_signal: GPIO_EMC_B1_34, software_input_on: Enable}
  - {pin_num: R1, peripheral: FLEXSPI2, signal: FLEXSPI_A_SCLK, pin_signal: GPIO_EMC_B1_41, software_input_on: Enable}
  - {pin_num: B1, peripheral: LPUART1, signal: TXD, pin_signal: GPIO_AON_08}
  - {pin_num: A5, peripheral: LPUART1, signal: RXD, pin_signal: GPIO_AON_09}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins, assigned for the Cortex-M33 core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */
  CLOCK_EnableClock(kCLOCK_Iomuxc2);          /* Turn on LPCG: LPCG is ON. */

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_30_FLEXSPI2_BUS2BIT_B_DATA03,  /* GPIO_EMC_B1_30 is configured as FLEXSPI2_BUS2BIT_B_DATA03 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_30 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_31_FLEXSPI2_BUS2BIT_B_DATA02,  /* GPIO_EMC_B1_31 is configured as FLEXSPI2_BUS2BIT_B_DATA02 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_31 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_32_FLEXSPI2_BUS2BIT_B_DATA01,  /* GPIO_EMC_B1_32 is configured as FLEXSPI2_BUS2BIT_B_DATA01 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_32 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_33_FLEXSPI2_BUS2BIT_B_DATA00,  /* GPIO_EMC_B1_33 is configured as FLEXSPI2_BUS2BIT_B_DATA00 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_33 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_34_FLEXSPI2_BUS2BIT_B_SCLK,  /* GPIO_EMC_B1_34 is configured as FLEXSPI2_BUS2BIT_B_SCLK */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_34 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_35_FLEXSPI2_BUS2BIT_A_DATA00,  /* GPIO_EMC_B1_35 is configured as FLEXSPI2_BUS2BIT_A_DATA00 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_35 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_36_FLEXSPI2_BUS2BIT_A_DATA01,  /* GPIO_EMC_B1_36 is configured as FLEXSPI2_BUS2BIT_A_DATA01 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_36 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_37_FLEXSPI2_BUS2BIT_A_DATA02,  /* GPIO_EMC_B1_37 is configured as FLEXSPI2_BUS2BIT_A_DATA02 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_37 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_38_FLEXSPI2_BUS2BIT_A_DATA03,  /* GPIO_EMC_B1_38 is configured as FLEXSPI2_BUS2BIT_A_DATA03 */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_38 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_39_FLEXSPI2_BUS2BIT_A_SS0_B,  /* GPIO_EMC_B1_39 is configured as FLEXSPI2_BUS2BIT_A_SS0_B */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_39 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_40_FLEXSPI2_BUS2BIT_A_DQS,  /* GPIO_EMC_B1_40 is configured as FLEXSPI2_BUS2BIT_A_DQS */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_40 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_EMC_B1_41_FLEXSPI2_BUS2BIT_A_SCLK,  /* GPIO_EMC_B1_41 is configured as FLEXSPI2_BUS2BIT_A_SCLK */
      1U);                                    /* Software Input On Field: Force input path of pad GPIO_EMC_B1_41 */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 is configured as LPUART1_TX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 is configured as LPUART1_RX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
}

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
